View Issue Details

IDProjectCategoryView StatusLast Update
0032717Open CASCADEOCCT:Modeling Algorithmspublic2022-03-24 11:54
Reporterkgv Assigned Tosmoskvin  
PrioritynormalSeverityminor 
Status verifiedResolutionfixed 
Product Version7.6.0 
Target Version7.7.0 
Summary0032717: Modeling Algorithms - BRepBuilderAPI_Copy should not remove triangulation from surface-less faces
DescriptionBRepBuilderAPI_Copy::Perform() has a flag `copyMesh` intended to avoid copying of triangulation in addition to geometry.
In case of triangulation-only geometry this operation produces an invalid empty faces, which makes no sense.

It is proposed ignoring this flag in such cases, similar to BRepTools::Clean().
Steps To Reproduce
pload XDE MODELING
box b 1 2 3
incmesh b 1
checktrinfo b -tri 12 -nod 24
tclean -geom b
trinfo b
checktrinfo b -tri 12 -nod 24

tcopy b bb
trinfo bb
checktrinfo bb -tri 12 -nod 24
# KO - copied shape is empty

TagsNo tags attached.
Test case numberbugs/modalg_7/bug32717

Relationships

related to 0031479 assignedazv Community Modeling Algorithms - exception on geometry transformation of triangulation-only shapes (without geometry surface) 
child of 0028125 newmsv Open CASCADE Modeling Algorithms - support of BRep shapes based on tessellated geometry 

Activities

git

2021-12-06 22:23

administrator   ~0105707

Branch CR32717 has been created by kgv.

SHA-1: 3a0ab72e10a63a764b27f3174f9df80bdb91e60a


Detailed log of new commits:

Author: kgv
Date: Mon Dec 6 22:23:24 2021 +0300

    0032717: Modeling Algorithms - BRepBuilderAPI_Copy should not remove triangulation from surface-less faces
    
    BRepBuilderAPI_Copy now ignores toCopyMesh flag for non-geometric shapes.

kgv

2021-12-07 02:00

developer   ~0105711

Patch is ready for review
- OCCT: branch CR32717.

http://jenkins-test-12.nnov.opencascade.com:8080/view/CR32717-master-KGV/

smoskvin

2021-12-11 11:35

administrator   ~0105807

Combination -
OCCT branch : IR-2021-12-10
master SHA - e463b2f685d8c815f8a7ab996c6843808e8b1430
49e51745631c52b6c452c65adae4d6dfa21a1b1e
Products branch : IR-2021-12-10 SHA - 6377a4e004f3c988c651adf5eca35203f239b1c2
was compiled on Linux, MacOS and Windows platforms and tested in optimize mode.

Number of compiler warnings:
No new/fixed warnings

Regressions/Differences/Improvements:
No regressions/differences

CPU differences:
Debian80-64:
OCCT
Total CPU difference: 18222.380000000427 / 18166.60000000042 [+0.31%]
Products
Total CPU difference: 11645.100000000084 / 11658.820000000103 [-0.12%]
Windows-64-VC14:
OCCT
Total CPU difference: 19999.4375 / 19937.953125 [+0.31%]
Products
Total CPU difference: 13044.453125 / 13069.28125 [-0.19%]


Image differences :
No differences that require special attention

Memory differences :
No differences that require special attention

git

2021-12-11 15:26

administrator   ~0105825

Branch CR32717 has been deleted by mnt.

SHA-1: 3a0ab72e10a63a764b27f3174f9df80bdb91e60a

Related Changesets

occt: master 18c67875

2021-12-06 19:23:24

kgv


Committer: smoskvin Details Diff
0032717: Modeling Algorithms - BRepBuilderAPI_Copy should not remove triangulation from surface-less faces

BRepBuilderAPI_Copy now ignores toCopyMesh flag for non-geometric shapes.
Affected Issues
0032717
mod - src/BRepBuilderAPI/BRepBuilderAPI_Copy.cxx Diff File
add - tests/bugs/modalg_7/bug32717 Diff File

Issue History

Date Modified Username Field Change
2021-12-06 21:41 kgv New Issue
2021-12-06 21:41 kgv Assigned To => msv
2021-12-06 21:41 kgv Relationship added child of 0028125
2021-12-06 22:23 git Note Added: 0105707
2021-12-07 02:00 kgv Note Added: 0105711
2021-12-07 02:00 kgv Status new => resolved
2021-12-07 02:01 kgv Test case number => bugs/modalg_7/bug32717
2021-12-07 15:34 msv Assigned To msv => bugmaster
2021-12-07 15:34 msv Status resolved => reviewed
2021-12-11 11:35 smoskvin Note Added: 0105807
2021-12-11 11:35 smoskvin Status reviewed => tested
2021-12-11 15:14 smoskvin Changeset attached => occt master 18c67875
2021-12-11 15:14 smoskvin Assigned To bugmaster => smoskvin
2021-12-11 15:14 smoskvin Status tested => verified
2021-12-11 15:14 smoskvin Resolution open => fixed
2021-12-11 15:26 git Note Added: 0105825
2022-03-24 11:54 azv Relationship added related to 0031479